## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Interface SybaseASAWebService

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Implementing Classes:
  SybaseASACatalogBaseWebService, SybaseASAWebServiceImpl

    public interface SybaseASAWebService

extends SQLObject

A representation of the model object 'Sybase ASA Web Service'.

The following features are supported:

- `Service id`
- `Service type`
- `Auth required`
- `Secure required`
- `Url path`
- `User name`
- `Parameter`
- `Statement`
- `Database`

See Also:
  `SybaseasabasesqlmodelPackage.getSybaseASAWebService()`

Method Summary
`java.lang.String` `getAuth_required()` Returns the value of the 'Auth required' attribute.
`SybaseASABaseDatabase` `getDatabase()` Returns the value of the 'Database' reference.
`java.lang.String` `getParameter()` Returns the value of the 'Parameter' attribute.
`java.lang.String` `getSecure_required()` Returns the value of the 'Secure required' attribute.
`long` `getService_id()` Returns the value of the 'Service id' attribute.
`java.lang.String` `getService_type()` Returns the value of the 'Service type' attribute.
`java.lang.String` `getStatement()` Returns the value of the 'Statement' attribute.
`java.lang.String` `getUrl_path()` Returns the value of the 'Url path' attribute.
`java.lang.String` `getUser_name()` Returns the value of the 'User name' attribute.
`void` `setAuth_required(java.lang.String value)` Sets the value of the '`Auth required`' attribute.
`void` `setDatabase(SybaseASABaseDatabase value)` Sets the value of the '`Database`' reference.
`void` `setParameter(java.lang.String value)` Sets the value of the '`Parameter`' attribute.
`void` `setSecure_required(java.lang.String value)` Sets the value of the '`Secure required`' attribute.
`void` `setService_id(long value)` Sets the value of the '`Service id`' attribute.
`void` `setService_type(java.lang.String value)` Sets the value of the '`Service type`' attribute.
`void` `setStatement(java.lang.String value)` Sets the value of the '`Statement`' attribute.
`void` `setUrl_path(java.lang.String value)` Sets the value of the '`Url path`' attribute.
`void` `setUser_name(java.lang.String value)` Sets the value of the '`User name`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getService_id

    long getService_id()

  Returns the value of the 'Service id' attribute.

  If the meaning of the 'Service id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Service id' attribute.
  See Also:
    `setService_id(long)`, `SybaseasabasesqlmodelPackage.getSybaseASAWebService_Service_id()`

### setService_id

    void setService_id(long value)

  Sets the value of the '`Service id`' attribute.

  Parameters:
    `value` - the new value of the 'Service id' attribute.
  See Also:
    `getService_id()`

### getService_type

    java.lang.String getService_type()

  Returns the value of the 'Service type' attribute.

  If the meaning of the 'Service type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Service type' attribute.
  See Also:
    `setService_type(String)`, `SybaseasabasesqlmodelPackage.getSybaseASAWebService_Service_type()`

### setService_type

    void setService_type(java.lang.String value)

  Sets the value of the '`Service type`' attribute.

  Parameters:
    `value` - the new value of the 'Service type' attribute.
  See Also:
    `getService_type()`

### getAuth_required

    java.lang.String getAuth_required()

  Returns the value of the 'Auth required' attribute.

  If the meaning of the 'Auth required' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Auth required' attribute.
  See Also:
    `setAuth_required(String)`, `SybaseasabasesqlmodelPackage.getSybaseASAWebService_Auth_required()`

### setAuth_required

    void setAuth_required(java.lang.String value)

  Sets the value of the '`Auth required`' attribute.

  Parameters:
    `value` - the new value of the 'Auth required' attribute.
  See Also:
    `getAuth_required()`

### getSecure_required

    java.lang.String getSecure_required()

  Returns the value of the 'Secure required' attribute.

  If the meaning of the 'Secure required' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Secure required' attribute.
  See Also:
    `setSecure_required(String)`, `SybaseasabasesqlmodelPackage.getSybaseASAWebService_Secure_required()`

### setSecure_required

    void setSecure_required(java.lang.String value)

  Sets the value of the '`Secure required`' attribute.

  Parameters:
    `value` - the new value of the 'Secure required' attribute.
  See Also:
    `getSecure_required()`

### getUrl_path

    java.lang.String getUrl_path()

  Returns the value of the 'Url path' attribute.

  If the meaning of the 'Url path' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Url path' attribute.
  See Also:
    `setUrl_path(String)`, `SybaseasabasesqlmodelPackage.getSybaseASAWebService_Url_path()`

### setUrl_path

    void setUrl_path(java.lang.String value)

  Sets the value of the '`Url path`' attribute.

  Parameters:
    `value` - the new value of the 'Url path' attribute.
  See Also:
    `getUrl_path()`

### getUser_name

    java.lang.String getUser_name()

  Returns the value of the 'User name' attribute.

  If the meaning of the 'User name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'User name' attribute.
  See Also:
    `setUser_name(String)`, `SybaseasabasesqlmodelPackage.getSybaseASAWebService_User_name()`

### setUser_name

    void setUser_name(java.lang.String value)

  Sets the value of the '`User name`' attribute.

  Parameters:
    `value` - the new value of the 'User name' attribute.
  See Also:
    `getUser_name()`

### getParameter

    java.lang.String getParameter()

  Returns the value of the 'Parameter' attribute.

  If the meaning of the 'Parameter' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parameter' attribute.
  See Also:
    `setParameter(String)`, `SybaseasabasesqlmodelPackage.getSybaseASAWebService_Parameter()`

### setParameter

    void setParameter(java.lang.String value)

  Sets the value of the '`Parameter`' attribute.

  Parameters:
    `value` - the new value of the 'Parameter' attribute.
  See Also:
    `getParameter()`

### getStatement

    java.lang.String getStatement()

  Returns the value of the 'Statement' attribute.

  If the meaning of the 'Statement' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Statement' attribute.
  See Also:
    `setStatement(String)`, `SybaseasabasesqlmodelPackage.getSybaseASAWebService_Statement()`

### setStatement

    void setStatement(java.lang.String value)

  Sets the value of the '`Statement`' attribute.

  Parameters:
    `value` - the new value of the 'Statement' attribute.
  See Also:
    `getStatement()`

### getDatabase

    SybaseASABaseDatabase getDatabase()

  Returns the value of the 'Database' reference. It is bidirectional and its opposite is '`Web Services`'.

  If the meaning of the 'Database' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Database' reference.
  See Also:
    `setDatabase(SybaseASABaseDatabase)`, `SybaseasabasesqlmodelPackage.getSybaseASAWebService_Database()`, `SybaseASABaseDatabase.getWebServices()`

### setDatabase

    void setDatabase(SybaseASABaseDatabase value)

  Sets the value of the '`Database`' reference.

  Parameters:
    `value` - the new value of the 'Database' reference.
  See Also:
    `getDatabase()`